diff --git a/copy.c b/copy.c
index b8a1e1d8f4..f1467cbdf5 100644
--- a/copy.c
+++ b/copy.c
@@ -174,7 +174,7 @@ int mutt_copy_hdr(FILE *in, FILE *out, LOFF_T off_start, LOFF_T off_end,
         if (flags & CH_DECODE)
         {
           if (!address_header_decode(&this_one))
-            rfc2047_decode(&this_one);
+            mutt_rfc2047_decode(&this_one);
           this_one_len = mutt_str_strlen(this_one);
 
           /* Convert CRLF line endings to LF */
@@ -291,7 +291,7 @@ int mutt_copy_hdr(FILE *in, FILE *out, LOFF_T off_start, LOFF_T off_end,
     if (flags & CH_DECODE)
     {
       if (!address_header_decode(&this_one))
-        rfc2047_decode(&this_one);
+        mutt_rfc2047_decode(&this_one);
       this_one_len = mutt_str_strlen(this_one);
     }
 
diff --git a/init.c b/init.c
index 4b2991c927..1d62529d2e 100644
--- a/init.c
+++ b/init.c
@@ -2610,7 +2610,7 @@ static int parse_set(struct Buffer *tmp, struct Buffer *s, unsigned long data,
           FREE((void *) MuttVars[idx].var);
           *((char **) MuttVars[idx].var) = mutt_str_strdup(tmp->data);
           if (mutt_str_strcmp(MuttVars[idx].name, "charset") == 0)
-            mutt_cs_set_charset(Charset);
+            mutt_ch_set_charset(Charset);
 
           if ((mutt_str_strcmp(MuttVars[idx].name,
                                "show_multipart_alternative") == 0) &&
diff --git a/mutt/charset.c b/mutt/charset.c
index 369563f9f4..11e9dcb0a5 100644
--- a/mutt/charset.c
+++ b/mutt/charset.c
@@ -275,7 +275,7 @@ static const char *lookup_charset(enum LookupType type, const char *cs)
   return NULL;
 }
 
-int mutt_cs_convert_nonmime_string(char **ps)
+int mutt_ch_convert_nonmime_string(char **ps)
 {
   const char *c1 = NULL;
 
@@ -297,14 +297,14 @@ int mutt_cs_convert_nonmime_string(char **ps)
     fromcode = mutt_mem_malloc(n + 1);
     mutt_str_strfcpy(fromcode, c, n + 1);
     s = mutt_str_substr_dup(u, u + ulen);
-    int m = mutt_cs_convert_string(&s, fromcode, Charset, 0);
+    int m = mutt_ch_convert_string(&s, fromcode, Charset, 0);
     FREE(&fromcode);
     if (m == 0)
     {
       return 0;
     }
   }
-  mutt_cs_convert_string(ps, (const char *) mutt_cs_get_default_charset(),
+  mutt_ch_convert_string(ps, (const char *) mutt_ch_get_default_charset(),
                          Charset, MUTT_ICONV_HOOK_FROM);
   return -1;
 }
@@ -901,13 +901,13 @@ char *mutt_ch_fgetconvs(char *buf, size_t buflen, struct FgetConv *fc)
   return NULL;
 }
 
-void mutt_cs_set_charset(char *charset)
+void mutt_ch_set_charset(char *charset)
 {
   char buffer[STRING];
 
-  mutt_cs_canonical_charset(buffer, sizeof(buffer), charset);
+  mutt_ch_canonical_charset(buffer, sizeof(buffer), charset);
 
-  if (mutt_cs_is_utf8(buffer))
+  if (mutt_ch_is_utf8(buffer))
   {
     Charset_is_utf8 = true;
     ReplacementChar = 0xfffd;
diff --git a/mutt/rfc2047.c b/mutt/rfc2047.c
index 38b925de9f..f1a5d15926 100644
--- a/mutt/rfc2047.c
+++ b/mutt/rfc2047.c
@@ -1,3 +1,35 @@
+/**
+ * @file
+ * RFC2047 MIME extensions encoding / decoding routines
+ *
+ * @authors
+ * Copyright (C) 1996-2000,2010 Michael R. Elkins <me@mutt.org>
+ * Copyright (C) 2000-2002 Edmund Grimley Evans <edmundo@rano.org>
+ * Copyright (C) 2018 Pietro Cerutti <gahr@gahr.ch>
+ *
+ * @copyright
+ * This program is free software: you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 2 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * @page rfc2047 RFC2047 encoding / decoding functions
+ *
+ * | Function                      | Description
+ * | :---------------------------- | :-----------------------------------------
+ * | mutt_rfc2047_encode()         | Encode a string to RFC2047 format
+ * | mutt_rfc2047_decode()         | Decode a string in RFC2047 format
+ * | mutt_rfc2047_choose_charset() | Choose the best charset to encode a string
+ */
+
 #include "config.h"
 #include "base64.h"
 #include "buffer.h"
@@ -82,14 +114,18 @@ static size_t q_encoder(char *s, const char *d, size_t dlen, const char *tocode)
 }
 
 /**
- * find_encoded_word - Find limits of first encoded word in a string
+ * parse_encoded_word - Parse a string and report RFC2047 elements
+ *
+ * @param[in] s           The string to parse
+ * @param[out] enc        The content encoding found in the first RFC2047 word
+ * @param[out] charset    The charset found in the first RFC2047 word
+ * @param[out] charsetlen The lenght of the charset string found
+ * @param[out] text       The start of the first RFC2047 encoded text
+ * @param[out] textlen    The length of the encoded text found
  *
- * Find the start and end of the first encoded word in the string.  We use the
- * grammar in section 2 of RFC2047, but the "encoding" must be B or Q. Also,
- * we don't require the encoded word to be separated by linear-white-space
- * (section 5(1)).
+ * @return The start of the RFC2047 encoded word, or NULL if none was found.
  */
-static char *find_encoded_word(char *s, enum ContentEncoding *enc,
+static char *parse_encoded_word(char *s, enum ContentEncoding *enc,
     char **charset, size_t *charsetlen, char **text, size_t *textlen)
 {
   static struct Regex *re = NULL;
@@ -159,7 +195,7 @@ static size_t try_block(const char *d, size_t dlen, const char *fromcode,
 
   if (fromcode)
   {
-    cd = mutt_cs_iconv_open(tocode, fromcode, 0);
+    cd = mutt_ch_iconv_open(tocode, fromcode, 0);
     assert(cd != (iconv_t)(-1));
     ib = d;
     ibl = dlen;
@@ -216,7 +252,6 @@ static size_t try_block(const char *d, size_t dlen, const char *fromcode,
     return dlen;
 }
 
-
 /**
  * encode_block - Encode a block of text using an encoder
  * @param s        String to convert
@@ -240,7 +275,7 @@ static size_t encode_block(char *s, char *d, size_t dlen, const char *fromcode,
 
   if (fromcode)
   {
-    cd = mutt_cs_iconv_open(tocode, fromcode, 0);
+    cd = mutt_ch_iconv_open(tocode, fromcode, 0);
     assert(cd != (iconv_t)(-1));
     ib = d;
     ibl = dlen;
@@ -289,7 +324,6 @@ static size_t choose_block(char *d, size_t dlen, int col, const char *fromcode,
 /**
  * finalize_chunk - Perform charset conversion and filtering
  *
- *
  * @param[out] res       Buffer where the resulting string is appended
  * @param[in] buf        Buffer with the input string
  * @param[in] charset    Charset to use for the conversion
@@ -303,7 +337,7 @@ static void finalize_chunk(struct Buffer *res, struct Buffer *buf,
 
   char end = charset[charsetlen];
   charset[charsetlen] = '\0';
-  mutt_cs_convert_string(&buf->data, charset, Charset, MUTT_ICONV_HOOK_FROM);
+  mutt_ch_convert_string(&buf->data, charset, Charset, MUTT_ICONV_HOOK_FROM);
   charset[charsetlen] = end;
   mutt_mb_filter_unprintable(&buf->data);
   mutt_buffer_addstr(res, buf->data);
@@ -366,26 +400,6 @@ static char *rfc2047_decode_word(const char *s, size_t len,
   return buf.data;
 }
 
-/**
- * rfc2047_encode - RFC-2047-encode a string
- * @param[in]  d        String to be encoded
- * @param[in]  dlen     Length of string
- * @param[in]  col      Starting index in string
- * @param[in]  fromcode Original encoding
- * @param[in]  charsets List of charsets to choose from
- * @param[out] e        Buffer to save result
- * @param[out] elen     Buffer length
- * @param[in]  specials Special characters to be encoded
- *
- * Place the result of RFC-2047-encoding (d, dlen) into the dynamically
- * allocated buffer (e, elen). The input data is in charset fromcode
- * and is converted into a charset chosen from charsets.
- * Return 1 if the conversion to UTF-8 failed, 2 if conversion from UTF-8
- * failed, otherwise 0. If conversion failed, fromcode is assumed to be
- * compatible with us-ascii and the original data is used.
- * The input data is assumed to be a single line starting at column col;
- * if col is non-zero, the preceding character was a space.
- */
 static int rfc2047_encode(const char *d, size_t dlen, int col, const char *fromcode,
                           const char *charsets, char **e, size_t *elen, const char *specials)
 {
@@ -402,7 +416,7 @@ static int rfc2047_encode(const char *d, size_t dlen, int col, const char *fromc
 
   /* Try to convert to UTF-8. */
   u = mutt_str_substr_dup(d, d + dlen);
-  if (mutt_cs_convert_string(&u, fromcode, icode, 0))
+  if (mutt_ch_convert_string(&u, fromcode, icode, 0))
   {
     rc = 1;
     icode = 0;
@@ -445,7 +459,7 @@ static int rfc2047_encode(const char *d, size_t dlen, int col, const char *fromc
   tocode = fromcode;
   if (icode)
   {
-    tocode1 = mutt_choose_charset(icode, charsets, u, ulen, 0, 0);
+    tocode1 = mutt_rfc2047_choose_charset(icode, charsets, u, ulen, 0, 0);
     if (tocode1)
       tocode = tocode1;
     else
@@ -456,7 +470,7 @@ static int rfc2047_encode(const char *d, size_t dlen, int col, const char *fromc
   }
 
   /* Hack to avoid labelling 8-bit data as us-ascii. */
-  if (!icode && mutt_cs_is_us_ascii(tocode))
+  if (!icode && mutt_ch_is_us_ascii(tocode))
     tocode = "unknown-8bit";
 
   /* Adjust t0 for maximum length of line. */
@@ -576,7 +590,18 @@ static int rfc2047_encode(const char *d, size_t dlen, int col, const char *fromc
   return rc;
 }
 
-char *mutt_choose_charset(const char *fromcode, const char *charsets, char *u,
+/**
+ * mutt_rfc2047_choose_charset - Figure the best charset to encode a string
+ * @param[in] fromcode Original charset of the string
+ * @param[in] charsets Colon-separated list of potential charsets to use
+ * @param[in] u        String to encode
+ * @param[in] ulen     Length of the string to encode
+ * @param[out] d       If not NULL, point it to the converted string
+ * @param[out] dlen    If not NULL, point it to the length of the d string
+ *
+ * @return The best performing charset, or NULL if none could be found.
+ */
+char *mutt_rfc2047_choose_charset(const char *fromcode, const char *charsets, char *u,
                           size_t ulen, char **d, size_t *dlen)
 {
   char canonical_buf[LONG_STRING];
@@ -600,7 +625,7 @@ char *mutt_choose_charset(const char *fromcode, const char *charsets, char *u,
     t[n] = '\0';
 
     s = mutt_str_substr_dup(u, u + ulen);
-    if (mutt_cs_convert_string(&s, fromcode, t, 0))
+    if (mutt_ch_convert_string(&s, fromcode, t, 0))
     {
       FREE(&t);
       FREE(&s);
@@ -637,13 +662,20 @@ char *mutt_choose_charset(const char *fromcode, const char *charsets, char *u,
     if (dlen)
       *dlen = elen;
 
-    mutt_cs_canonical_charset(canonical_buf, sizeof(canonical_buf), tocode);
+    mutt_ch_canonical_charset(canonical_buf, sizeof(canonical_buf), tocode);
     mutt_str_replace(&tocode, canonical_buf);
   }
   return tocode;
 }
 
-void rfc2047_encode_string(char **pd, const char *specials, int col, const char *charsets)
+/**
+ * rfc2047_encode - RFC-2047-encode a string
+ * @param[in,out] pd       String to be encoded, and resulting encoded string
+ * @param[in]     specials Special characters to be encoded
+ * @param[in]     col      Starting index in string
+ * @param[in]     charsets List of charsets to choose from
+ */
+void mutt_rfc2047_encode(char **pd, const char *specials, int col, const char *charsets)
 {
   char *e = NULL;
   size_t elen;
@@ -660,15 +692,14 @@ void rfc2047_encode_string(char **pd, const char *specials, int col, const char
   *pd = e;
 }
 
-
-
 /**
  * rfc2047_decode - Decode any RFC2047-encoded header fields
+ * @param[in,out] pd  String to be decoded, and resulting decoded string
  *
  * try to decode anything that looks like a valid RFC2047 encoded
  * header field, ignoring RFC822 parsing rules
  */
-void rfc2047_decode(char **pd)
+void mutt_rfc2047_decode(char **pd)
 {
   struct Buffer buf = {0};    /* Output buffer                          */
   char *s = *pd;              /* Read pointer                           */
@@ -689,7 +720,7 @@ void rfc2047_decode(char **pd)
   
   while (*s)
   {
-    beg = find_encoded_word(s, &enc, &charset, &charsetlen, &text, &textlen);
+    beg = parse_encoded_word(s, &enc, &charset, &charsetlen, &text, &textlen);
     if (beg != s)
     {
       /* Some non-encoded text was found */
@@ -713,7 +744,7 @@ void rfc2047_decode(char **pd)
         if (AssumedCharset && *AssumedCharset)
         {
           char *conv = mutt_str_substr_dup(s, s+holelen);
-          mutt_cs_convert_nonmime_string(&conv);
+          mutt_ch_convert_nonmime_string(&conv);
           mutt_buffer_addstr(&buf, conv);
           FREE(&conv);
         }
@@ -753,4 +784,3 @@ void rfc2047_decode(char **pd)
   *pd = buf.data;
   return;
 }
-
diff --git a/mutt/rfc2047.h b/mutt/rfc2047.h
index 000cef5310..54f8ceef0d 100644
--- a/mutt/rfc2047.h
+++ b/mutt/rfc2047.h
@@ -1,14 +1,35 @@
+/**
+ * @file
+ * RFC2047 MIME extensions encoding / decoding routines
+ *
+ * @authors
+ * Copyright (C) 1996-2000,2010 Michael R. Elkins <me@mutt.org>
+ * Copyright (C) 2000-2002 Edmund Grimley Evans <edmundo@rano.org>
+ * Copyright (C) 2018 Pietro Cerutti <gahr@gahr.ch>
+ *
+ * @copyright
+ * This program is free software: you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation, either version 2 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
 #ifndef _MUTT_LIB_RFC2047_H
 #define _MUTT_LIB_RFC2047_H
 
-int convert_nonmime_string(char **ps);
-
-#define rfc2047_encode_string32(a, b) rfc2047_encode_string(a, NULL, 32, b);
-
-void rfc2047_encode_string(char **pd, const char *specials, int col, const char *charsets);
-char *mutt_choose_charset(const char *fromcode, const char *charsets, char *u,
-                          size_t ulen, char **d, size_t *dlen);
+#define mutt_rfc2047_encode_32(a, b) mutt_rfc2047_encode(a, NULL, 32, b);
 
-void rfc2047_decode(char **pd);
+void mutt_rfc2047_encode(char **pd, const char *specials, int col, const char *charsets);
+void mutt_rfc2047_decode(char **pd);
+char *mutt_rfc2047_choose_charset(const char *fromcode, const char *charsets,
+                                  char *u, size_t ulen, char **d, size_t *dlen);
 
-#endif
+#endif /* _MUTT_LIB_RFC2047_H */
diff --git a/parse.c b/parse.c
index 99c638c1f7..6d1ad58a4b 100644
--- a/parse.c
+++ b/parse.c
@@ -468,7 +468,7 @@ struct Body *mutt_read_mime_header(FILE *fp, int digest)
       else if (mutt_str_strcasecmp("description", line + 8) == 0)
       {
         mutt_str_replace(&p->description, c);
-        rfc2047_decode(&p->description);
+        mutt_rfc2047_decode(&p->description);
       }
     }
 #ifdef SUN_ATTACHMENT
@@ -483,7 +483,7 @@ struct Body *mutt_read_mime_header(FILE *fp, int digest)
       else if (mutt_str_strcasecmp("data-description", line + 6) == 0)
       {
         mutt_str_replace(&p->description, c);
-        rfc2047_decode(&p->description);
+        mutt_rfc2047_decode(&p->description);
       }
     }
 #endif
@@ -825,7 +825,7 @@ int mutt_parse_rfc822_line(struct Envelope *e, struct Header *hdr, char *line,
           if (hdr)
           {
             mutt_str_replace(&hdr->content->description, p);
-            rfc2047_decode(&hdr->content->description);
+            mutt_rfc2047_decode(&hdr->content->description);
           }
           matched = 1;
         }
@@ -1133,7 +1133,7 @@ int mutt_parse_rfc822_line(struct Envelope *e, struct Header *hdr, char *line,
     {
       struct ListNode *np = mutt_list_insert_tail(&e->userhdrs, mutt_str_strdup(line));
       if (do_2047)
-        rfc2047_decode(&np->data);
+        mutt_rfc2047_decode(&np->data);
     }
   }
 
@@ -1278,7 +1278,7 @@ struct Envelope *mutt_read_rfc822_header(FILE *f, struct Header *hdr,
     {
       regmatch_t pmatch[1];
 
-      rfc2047_decode(&e->subject);
+      mutt_rfc2047_decode(&e->subject);
 
       if (ReplyRegexp && (regexec(ReplyRegexp->regex, e->subject, 1, pmatch, 0) == 0))
         e->real_subj = e->subject + pmatch[0].rm_eo;
diff --git a/rfc2047.c b/rfc2047.c
index 8f547ee0d2..0c710002d4 100644
--- a/rfc2047.c
+++ b/rfc2047.c
@@ -37,9 +37,9 @@ void rfc2047_encode_addrlist(struct Address *addr, const char *tag)
   while (ptr)
   {
     if (ptr->personal)
-      rfc2047_encode_string(&ptr->personal, AddressSpecials, col, SendCharset);
+      mutt_rfc2047_encode(&ptr->personal, AddressSpecials, col, SendCharset);
     else if (ptr->group && ptr->mailbox)
-      rfc2047_encode_string(&ptr->mailbox, AddressSpecials, col, SendCharset);
+      mutt_rfc2047_encode(&ptr->mailbox, AddressSpecials, col, SendCharset);
     ptr = ptr->next;
   }
 }
@@ -51,10 +51,10 @@ void rfc2047_decode_addrlist(struct Address *a)
     if (a->personal &&
         ((strstr(a->personal, "=?") != NULL) || (AssumedCharset && *AssumedCharset)))
     {
-      rfc2047_decode(&a->personal);
+      mutt_rfc2047_decode(&a->personal);
     }
     else if (a->group && a->mailbox && (strstr(a->mailbox, "=?") != NULL))
-      rfc2047_decode(&a->mailbox);
+      mutt_rfc2047_decode(&a->mailbox);
     a = a->next;
   }
 }
diff --git a/rfc2231.c b/rfc2231.c
index 18c0ca6c35..ae582507cc 100644
--- a/rfc2231.c
+++ b/rfc2231.c
@@ -244,9 +244,9 @@ void rfc2231_decode_parameters(struct Parameter **headp)
        */
 
       if (Rfc2047Parameters && p->value && strstr(p->value, "=?"))
-        rfc2047_decode(&p->value);
+        mutt_rfc2047_decode(&p->value);
       else if (AssumedCharset && *AssumedCharset)
-        mutt_cs_convert_nonmime_string(&p->value);
+        mutt_ch_convert_nonmime_string(&p->value);
 
       *last = p;
       last = &p->next;
@@ -325,7 +325,7 @@ int rfc2231_encode_string(char **pd)
     return 0;
 
   if (!Charset || !SendCharset ||
-      !(charset = mutt_choose_charset(Charset, SendCharset, *pd, strlen(*pd), &d, &dlen)))
+      !(charset = mutt_rfc2047_choose_charset(Charset, SendCharset, *pd, strlen(*pd), &d, &dlen)))
   {
     charset = mutt_str_strdup(Charset ? Charset : "unknown-8bit");
     FREE(&d);
diff --git a/send.c b/send.c
index a5452d8cf0..43033a84cc 100644
--- a/send.c
+++ b/send.c
@@ -1133,7 +1133,7 @@ void mutt_encode_descriptions(struct Body *b, short recurse)
   {
     if (t->description)
     {
-      rfc2047_encode_string32(&t->description, SendCharset);
+      mutt_rfc2047_encode_32(&t->description, SendCharset);
     }
     if (recurse && t->parts)
       mutt_encode_descriptions(t->parts, recurse);
@@ -1149,7 +1149,7 @@ static void decode_descriptions(struct Body *b)
   {
     if (t->description)
     {
-      rfc2047_decode(&t->description);
+      mutt_rfc2047_decode(&t->description);
     }
     if (t->parts)
       decode_descriptions(t->parts);
diff --git a/sendlib.c b/sendlib.c
index fc3ca352fa..056896dbf9 100644
--- a/sendlib.c
+++ b/sendlib.c
@@ -2205,7 +2205,7 @@ static void encode_headers(struct ListHead *h)
     if (!tmp)
       continue;
 
-    rfc2047_encode_string32(&tmp, SendCharset);
+    mutt_rfc2047_encode_32(&tmp, SendCharset);
     mutt_mem_realloc(&np->data, mutt_str_strlen(np->data) + 2 + mutt_str_strlen(tmp) + 1);
 
     sprintf(np->data + i, ": %s", NONULL(tmp));
@@ -2683,7 +2683,7 @@ void mutt_prepare_envelope(struct Envelope *env, int final)
     if (!OPT_NEWS_SEND || MimeSubject)
 #endif
     {
-      rfc2047_encode_string32(&env->subject, SendCharset);
+      mutt_rfc2047_encode_32(&env->subject, SendCharset);
     }
   encode_headers(&env->userhdrs);
 }
@@ -2693,7 +2693,7 @@ void mutt_unprepare_envelope(struct Envelope *env)
   struct ListNode *item;
   STAILQ_FOREACH(item, &env->userhdrs, entries)
   {
-    rfc2047_decode(&item->data);
+    mutt_rfc2047_decode(&item->data);
   }
 
   mutt_addr_free(&env->mail_followup_to);
@@ -2704,7 +2704,7 @@ void mutt_unprepare_envelope(struct Envelope *env)
   rfc2047_decode_addrlist(env->bcc);
   rfc2047_decode_addrlist(env->from);
   rfc2047_decode_addrlist(env->reply_to);
-  rfc2047_decode(&env->subject);
+  mutt_rfc2047_decode(&env->subject);
 }
 
 static int bounce_message(FILE *fp, struct Header *h, struct Address *to,
diff --git a/system.c b/system.c
index b0c2a98623..da87a7d6ba 100644
--- a/system.c
+++ b/system.c
@@ -24,6 +24,7 @@
 #include <signal.h>
 #include <stdlib.h>
 #include <unistd.h>
+#include <sys/wait.h>
 #include "mutt/mutt.h"
 #include "mutt.h"
 #include "protos.h"
diff --git a/url.c b/url.c
index ba0b0d0fad..d6d9ad1239 100644
--- a/url.c
+++ b/url.c
@@ -428,8 +428,8 @@ int url_parse_mailto(struct Envelope *e, char **body, const char *src)
   rfc2047_decode_addrlist(e->mail_followup_to);
   rfc2047_decode_addrlist(e->return_path);
   rfc2047_decode_addrlist(e->sender);
-  rfc2047_decode(&e->x_label);
-  rfc2047_decode(&e->subject);
+  mutt_rfc2047_decode(&e->x_label);
+  mutt_rfc2047_decode(&e->subject);
 
   rc = 0;
 
